Bug 222454 - HTS: Enhancement: support for a list of tests with --test option
HTS: Enhancement: support for a list of tests with --test option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 11:43 EST by Garry Wong
Modified: 2008-05-01 11:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 16:26:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry Wong 2007-01-12 11:43:31 EST
Description of problem:

If we ran cert test SEPARATELY, is there a command to print all the test 
results at once after we completed all cert tests.   

Version-Release number of selected component (if applicable):

rhel5 hts version 5 release 15

How reproducible:
1. Install rhel5 RC onto system under test
2. Install rhel5 RC onto network test server
3. Install rhel5 hts version 5 release 15 test suite onto both system under 
test and network test server (with IPV4 status ip address 10.1.1.10)
4. On network test server ---> hts  server start
5. On system under test ----> hts plan ----> hts certify --test network --
server 10.1.1.10
6. After network test completed ----> hts print --last ----> showing network 
and info test pass
7. On system under test -----> hts certify --test cdrom 
8. After cdrom test completed ----> hts print --last ---> showing cdrom and 
info test pass

Question: 

1. Is there a command to show both network and cdrom test results at once by 
using hts print ?
2. Is there a command to run 2 or 3 tests together such as "hts certify --test 
network cdrom video" ?


  
Actual results:


Expected results:


Additional info:
Comment 1 Greg Nichols 2007-01-12 16:02:15 EST
(In reply to comment #0)

> Question: 
> 
> 1. Is there a command to show both network and cdrom test results at once by 
> using hts print ?

Yes, "hts print" or "hts print --report" full prints information about
all test runs.

> 2. Is there a command to run 2 or 3 tests together such as "hts certify --test 
> network cdrom video" ?
> 

Currently, "hts plan --test <testname> --disable" can be used
to disable tests - invoked once for each test to be disabled.  Using
this approach, all undesired tests may be disabled from the test plan.

We'll consider the enhancement you suggest for the next version of
HTS (5.1).

- Thanks!
Comment 2 Greg Nichols 2007-02-06 09:48:25 EST
Added for R24.

The syntax if for the --test or --udi option to appear multiple times, i.e.:

hts print --test cdrom --test network

Comment 3 Garry Wong 2007-02-13 16:21:12 EST
Verified working with R24.

Thanks,

Note You need to log in before you can comment on or make changes to this bug.